public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-emacs/treemacs/, app-emacs/treemacs/files/
@ 2022-04-26  1:32 Maciej Barć
  0 siblings, 0 replies; only message in thread
From: Maciej Barć @ 2022-04-26  1:32 UTC (permalink / raw
  To: gentoo-commits

commit:     2c2a902ccb64bcbc53303c5522d79c5d0cfb79d2
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 26 00:09:07 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Tue Apr 26 01:31:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c2a902c

app-emacs/treemacs: new package; add version 2.9.5

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/treemacs/Manifest                        |  1 +
 app-emacs/treemacs/files/50treemacs-gentoo.el      |  1 +
 .../files/treemacs-icons-icon-directory.patch      | 12 +++++
 app-emacs/treemacs/metadata.xml                    | 13 +++++
 app-emacs/treemacs/treemacs-2.9.5.ebuild           | 61 ++++++++++++++++++++++
 5 files changed, 88 insertions(+)

diff --git a/app-emacs/treemacs/Manifest b/app-emacs/treemacs/Manifest
new file mode 100644
index 000000000000..6ce00e3b55f9
--- /dev/null
+++ b/app-emacs/treemacs/Manifest
@@ -0,0 +1 @@
+DIST treemacs-2.9.5.tar.gz 4134227 BLAKE2B 1fbdb278e9524fdb14cbc7699bc787ab694b00d37a91ec3e91e106079bc02f6b8b39207608873d45c70fd6355a22553bf1a0636a948b79df77adfe0b4a3f799f SHA512 adc026d7ad459418fae531c5a1a7df7f9308e63dec82240c1c5e278eb00fdf8d6dff1ee2112ea73d5a05c4266efe24623bb84f8819a6f07fbb4fde6e644ca9ad

diff --git a/app-emacs/treemacs/files/50treemacs-gentoo.el b/app-emacs/treemacs/files/50treemacs-gentoo.el
new file mode 100644
index 000000000000..431f7e90ae73
--- /dev/null
+++ b/app-emacs/treemacs/files/50treemacs-gentoo.el
@@ -0,0 +1 @@
+(add-to-list 'load-path "@SITELISP@")

diff --git a/app-emacs/treemacs/files/treemacs-icons-icon-directory.patch b/app-emacs/treemacs/files/treemacs-icons-icon-directory.patch
new file mode 100644
index 000000000000..d1ac5022064a
--- /dev/null
+++ b/app-emacs/treemacs/files/treemacs-icons-icon-directory.patch
@@ -0,0 +1,12 @@
+index 2cd9baf..e6ea521 100644
+--- a/src/elisp/treemacs-icons.el
++++ b/src/elisp/treemacs-icons.el
+@@ -273,7 +273,7 @@ Necessary since root icons are not rectangular."
+        (ht-set! tui-icons it tui-icon))))
+ 
+ (treemacs-create-theme "Default"
+-  :icon-directory (treemacs-join-path treemacs-dir "icons/default")
++  :icon-directory "@SITEETC@/icons/default"
+   :config
+   (progn
+     ;; directory and other icons

diff --git a/app-emacs/treemacs/metadata.xml b/app-emacs/treemacs/metadata.xml
new file mode 100644
index 000000000000..2b59c18813b9
--- /dev/null
+++ b/app-emacs/treemacs/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+  <maintainer type="project">
+    <email>gnu-emacs@gentoo.org</email>
+    <name>Gentoo GNU Emacs project</name>
+  </maintainer>
+  <upstream>
+    <bugs-to>https://github.com/Alexander-Miller/treemacs/issues/</bugs-to>
+    <remote-id type="github">Alexander-Miller/treemacs</remote-id>
+  </upstream>
+</pkgmetadata>

diff --git a/app-emacs/treemacs/treemacs-2.9.5.ebuild b/app-emacs/treemacs/treemacs-2.9.5.ebuild
new file mode 100644
index 000000000000..ea3b8ab8544a
--- /dev/null
+++ b/app-emacs/treemacs/treemacs-2.9.5.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS=26.1
+
+inherit elisp
+
+DESCRIPTION="Tree style project file explorer"
+HOMEPAGE="https://github.com/Alexander-Miller/treemacs/"
+SRC_URI="https://github.com/Alexander-Miller/${PN}/archive/${PV}.tar.gz
+			-> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+KEYWORDS="~amd64"
+SLOT="0"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	app-emacs/ace-window
+	app-emacs/cfrs
+	app-emacs/dash
+	app-emacs/ht
+	app-emacs/hydra
+	app-emacs/pfuture
+	app-emacs/s
+"
+BDEPEND="
+	${RDEPEND}
+	test? ( app-emacs/buttercup )
+"
+
+DOCS=( Changelog.org Extensions.org README.org screenshots )
+PATCHES=( "${FILESDIR}"/${PN}-icons-icon-directory.patch )
+
+BYTECOMPFLAGS="-L . -L src/elisp"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+	elisp_src_prepare
+
+	sed "s|@SITEETC@|${SITEETC}/${PN}|" -i src/elisp/${PN}-icons.el || die
+}
+
+src_compile() {
+	elisp-compile src/elisp/*.el
+}
+
+src_test() {
+	buttercup ${BYTECOMPFLAGS} -L test --traceback full || die
+}
+
+src_install() {
+	elisp-install ${PN} src/elisp/*.el{,c}
+	elisp-site-file-install "${FILESDIR}/${SITEFILE}"
+
+	insinto ${SITEETC}/${PN}
+	doins -r icons
+}


^ permalink raw reply related	[flat|nested] only message in thread

only message in thread, other threads:[~2022-04-26  1:33 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2022-04-26  1:32 [gentoo-commits] repo/gentoo:master commit in: app-emacs/treemacs/, app-emacs/treemacs/files/ Maciej Barć

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox